WriteNowEntryManager Struct Reference

the manager of the entries More...

`#include <WriteNowEntry.hxx>`

## Public Member Functions
| WriteNowEntryManager ()
WriteNowEntry | get (long pos) const
| return an entry for a position
bool | add (WriteNowEntry const &entry)
| add a new entry
void | reset ()
| reset the data

## Public Attributes
std::map< long, WriteNowEntry > | m_posMap
| the list of entries by position
std::multimap< std::string, WriteNowEntry const * > | m_typeMap
| the list of entries

## Detailed Description

the manager of the entries

## Constructor & Destructor Documentation

## ◆ WriteNowEntryManager()

WriteNowEntryManager::WriteNowEntryManager | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add()

bool WriteNowEntryManager::add | ( | WriteNowEntry const & | entry | ) |
| inline

add a new entry

## ◆ get()

WriteNowEntry WriteNowEntryManager::get | ( | long | pos | ) | const
| inline

return an entry for a position

## ◆ reset()

void WriteNowEntryManager::reset | ( |  | ) |
| inline

reset the data

## Member Data Documentation

## ◆ m_posMap

std::map<long, WriteNowEntry> WriteNowEntryManager::m_posMap

the list of entries by position

Referenced by add(), get(), reset(), and WriteNowEntryManager().

## ◆ m_typeMap

std::multimap<std::string, WriteNowEntry const *> WriteNowEntryManager::m_typeMap

the list of entries

Referenced by add(), reset(), and WriteNowEntryManager().

The documentation for this struct was generated from the following file:

- WriteNowEntry.hxx